### Function

# Shumate VectorSpriteFallbackFunc

since: 1.1

#### Declaration

    ShumateVectorSprite*
    (* ShumateVectorSpriteFallbackFunc) (
      ShumateVectorSpriteSheet* sprite_sheet,
      const char* name,
      double scale,
      gpointer user_data
    )

#### Description [src]

A function to generate sprites for a `ShumateVectorSpriteSheet`.

See `shumate_vector_sprite_sheet_set_fallback()`.

Available since: 1.1

#### Parameters

`sprite_sheet`

  Type: `ShumateVectorSpriteSheet`

  The `ShumateVectorSpriteSheet`

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  The name of the sprite to generate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`scale`

  Type: `double`

  The scale factor of the sprite.

`user_data`

  Type: `gpointer`

  User data passed to `shumate_vector_sprite_sheet_set_fallback()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ShumateVectorSprite`

A `ShumateVectorSprite` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.